|
||||||||||
| PREV CLASS NEXT CLASS | FRAMES NO FRAMES | |||||||||
| SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD | |||||||||
java.lang.Objectorg.apache.wicket.examples.spring.common.QueryParam
public class QueryParam
Encapsulates the Query Paramaters to be passed to daos
| Constructor Summary | |
|---|---|
QueryParam(int first,
int count)
Set to return count elements, starting at the first element. |
|
QueryParam(int first,
int count,
SortParam sort)
Set to return count sorted elements, starting at the first element. |
|
| Method Summary | |
|---|---|
int |
getCount()
|
int |
getFirst()
|
SortParam |
getSort()
|
boolean |
hasSort()
|
| Methods inherited from class java.lang.Object |
|---|
clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait |
| Constructor Detail |
|---|
public QueryParam(int first,
int count)
first - First element to return.count - Number of elements to return.
public QueryParam(int first,
int count,
SortParam sort)
first - First element to return.count - Number of elements to return.sort - | Method Detail |
|---|
public int getCount()
public int getFirst()
public SortParam getSort()
public boolean hasSort()
|
||||||||||
| PREV CLASS NEXT CLASS | FRAMES NO FRAMES | |||||||||
| SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD | |||||||||